Subject: [76attendees] "Products fair"

From: Samuel Weiler <[email-masked]>
Date: Wed, 11 Nov 2009 23:14:40 -0500 (EST)

At the center of the underground mall (walk north from the ANA, 
following the trolley lines, past the Hondori shopping street, to 
where the tracks turn east-west and you can't cross the street again, 
and then go down stairs or elevator), is the "Hiroshima Products 
something" that appears to have been set up just for us.  It appears 
to be where the brush-making and crane-folding demos were set up 
earlier.

It's not horribly special, but I suggest stopping by, if you can, if 
only to see how the red carpet has been rolled out for us.  They 
handed me a few free Carp pens (the Carp are the local baseball team). 
Among the product displays is a Mazda rotary engine cutaway(!).

-- Sam